Bug 985818 - Review Request: guacamole-server - Server-side native components that form the Guacamole proxy
Review Request: guacamole-server - Server-side native components that form th...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Meng
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 985814
  Show dependency treegraph
 
Reported: 2013-07-18 06:10 EDT by Simone Caronni
Modified: 2013-08-16 15:51 EDT (History)
3 users (show)

See Also:
Fixed In Version: guacamole-server-0.8.2-2.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-15 19:29:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
i: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Simone Caronni 2013-07-18 06:10:17 EDT
Spec URL: http://slaanesh.fedorapeople.org/guacamole/guacamole-server.spec
SRPM URL: http://slaanesh.fedorapeople.org/guacamole/guacamole-server-0.8.2-1.fc19.src.rpm
Description:
Guacamole is an HTML5 remote desktop gateway.

Guacamole provides access to desktop environments using remote desktop protocols
like VNC and RDP. A centralized server acts as a tunnel and proxy, allowing
access to multiple desktops through a web browser.

No browser plugins are needed, and no client software needs to be installed. The
client requires nothing more than a web browser supporting HTML5 and AJAX.

The main web application is provided by the "guacamole-client" package.

Fedora Account System Username: slaanesh
Comment 1 Simone Caronni 2013-07-18 06:12:34 EDT
Note: this is a package rename. Upstream has merged all packages into one, and this package generates exactly the same packages as before, so no special Obsoletes/Requires are needed.

The spec file is for the el6, f17, f18, f19 and rawhide branches, as it is now.

http://koji.fedoraproject.org/koji/search?match=glob&type=package&terms=*guac*
Comment 2 Christopher Meng 2013-07-21 23:18:12 EDT
1. Change GPL+ to GPLv2+

2. guacd.i686: E: non-standard-dir-perm /var/lib/guacd 0750L
Comment 3 Simone Caronni 2013-07-22 04:37:26 EDT
(In reply to Christopher Meng from comment #2)
> 1. Change GPL+ to GPLv2+

Fixed. Licensecheck did not point out, it was in the header of the files:

/* ***** BEGIN LICENSE BLOCK *****
 * Version: MPL 1.1/GPL 2.0/LGPL 2.1
 
> 2. guacd.i686: E: non-standard-dir-perm /var/lib/guacd 0750L

I think this is correct; it's not a "normal" user folder but a variable state that's used by the daemon; it was like this also on the previous guacd package.

What's the policy here? On my system I have all kind of permissions (shortened list):

drwxr-xr-x.  2 chrony      chrony      4096 Jul 22 09:33 /var/lib/chrony
drwxr-xr-x.  3 root        root        4096 May 27 13:57 /var/lib/color
drwxr-xr-x.  3 colord      colord      4096 Jul 18 18:12 /var/lib/colord
drwx------.  2 apache      apache      4096 May 20 11:28 /var/lib/dav
drwxrwx--T.  7 gdm         gdm         4096 Jul 22 08:27 /var/lib/gdm
drwxr-x---.  3 guacd       guacd       4096 Jul 18 10:35 /var/lib/guacd
drwxr-x---.  2 root        slocate     4096 Jul 22 09:16 /var/lib/mlocate
drwxrwsr-x.  7 root        mock        4096 Jul 21 17:45 /var/lib/mock
drwxr-x---.  3 root        polkitd     4096 May 27 14:09 /var/lib/polkit-1
drwx------.  2 pulse       pulse       4096 May 31 06:36 /var/lib/pulse
-rw-------.  1 root        root         512 Jul 22 08:27 /var/lib/random-seed
drwx------.  2 rpc         rpc         4096 Jul 22 08:27 /var/lib/rpcbind
drwx------.  2 root        root        4096 Apr  3 17:47 /var/lib/rsyslog
drwxr-x---.  2 shellinabox shellinabox 4096 Jun 11 15:43 /var/lib/shellinabox
drwx------.  2 tss         tss         4096 Jun  2 15:42 /var/lib/tpm
drwxr-xr-x.  2 unbound     unbound     4096 Jun  3 08:41 /var/lib/unbound
Comment 4 Simone Caronni 2013-07-24 08:58:31 EDT
Hello, any news on the review?

The client package [1] has already finished the review and is pending on this.

[1] https://bugzilla.redhat.com/show_bug.cgi?id=985814
Comment 5 Christopher Meng 2013-07-25 06:57:19 EDT
Ok.

Please include the license fix in SCM.
APPROVED.
Comment 6 Simone Caronni 2013-07-25 11:11:06 EDT
(In reply to Christopher Meng from comment #5)
> Please include the license fix in SCM.

Sure, already done.

New Package SCM Request
=======================
Package Name: guacamole-server
Short Description: Server-side native components that form the Guacamole proxy
Owners: slaanesh
Branches: el6 f18 f19
InitialCC: java-sig
Comment 7 Simone Caronni 2013-07-25 11:14:32 EDT
(In reply to Simone Caronni from comment #6)
> InitialCC: java-sig

Pardon, wrong copy & paste.
Comment 8 Simone Caronni 2013-07-25 11:14:52 EDT
New Package SCM Request
=======================
Package Name: guacamole-server
Short Description: Server-side native components that form the Guacamole proxy
Owners: slaanesh
Branches: el6 f18 f19
InitialCC:
Comment 9 Gwyn Ciesla 2013-07-25 11:31:18 EDT
Git done (by process-git-requests).
Comment 10 Fedora Update System 2013-07-25 12:24:34 EDT
guacamole-client-0.8.2-2.fc19,guacamole-server-0.8.2-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/guacamole-client-0.8.2-2.fc19,guacamole-server-0.8.2-1.fc19
Comment 11 Fedora Update System 2013-07-25 12:25:07 EDT
guacamole-client-0.8.2-2.fc18,guacamole-server-0.8.2-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/guacamole-client-0.8.2-2.fc18,guacamole-server-0.8.2-1.fc18
Comment 12 Fedora Update System 2013-07-25 12:25:52 EDT
guacamole-server-0.8.2-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/guacamole-server-0.8.2-1.el6
Comment 13 Fedora Update System 2013-07-26 14:10:53 EDT
Package guacamole-server-0.8.2-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing guacamole-server-0.8.2-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-10973/guacamole-server-0.8.2-1.el6
then log in and leave karma (feedback).
Comment 14 Fedora Update System 2013-08-15 19:29:23 EDT
guacamole-client-0.8.2-3.fc18, guacamole-server-0.8.2-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2013-08-15 19:32:30 EDT
guacamole-client-0.8.2-3.fc19, guacamole-server-0.8.2-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2013-08-16 15:51:57 EDT
guacamole-server-0.8.2-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.